gr::lte::channel_estimator_vcvc_impl Class Reference

`#include <channel_estimator_vcvc_impl.h>`

Inheritance diagram for gr::lte::channel_estimator_vcvc_impl:
[legend]

## Public Member Functions

| channel_estimator_vcvc_impl (int rxant, int subcarriers, std::string tag_key, std::string msg_buf_name, const std::vector< std::vector< int > > &pilot_carriers, const std::vector< std::vector< gr_complex > > &pilot_symbols, std::string name)
| ~channel_estimator_vcvc_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | set_pilot_map (const std::vector< std::vector< int > > &pilot_carriers, const std::vector< std::vector< gr_complex > > &pilot_symbols)
std::vector< std::vector< int > > | get_pilot_carriers ()

## Additional Inherited Members

Public Types inherited from gr::lte::channel_estimator_vcvc
typedef boost::shared_ptr< channel_estimator_vcvc > | sptr
Static Public Member Functions inherited from gr::lte::channel_estimator_vcvc
static sptr | make (int rxant, int subcarriers, std::string tag_key, std::string msg_buf_name, const std::vector< std::vector< int > > &pilot_carriers, const std::vector< std::vector< gr_complex > > &pilot_symbols, std::string name="channel_estimator_vcvc")
| Return a shared_ptr to a new instance of lte::channel_estimator_vcvc.

## Constructor & Destructor Documentation

## channel_estimator_vcvc_impl()

gr::lte::channel_estimator_vcvc_impl::channel_estimator_vcvc_impl | ( | int | rxant,
|  | int | subcarriers,
|  | std::string | tag_key,
|  | std::string | msg_buf_name,
|  | const std::vector< std::vector< int > > & | pilot_carriers,
|  | const std::vector< std::vector< gr_complex > > & | pilot_symbols,
|  | std::string | name )

## ~channel_estimator_vcvc_impl()

gr::lte::channel_estimator_vcvc_impl::~channel_estimator_vcvc_impl | ( |  | ) |

## Member Function Documentation

## get_pilot_carriers()

std::vector< std::vector< int > > gr::lte::channel_estimator_vcvc_impl::get_pilot_carriers | ( |  | ) |

inlinevirtual

Implements gr::lte::channel_estimator_vcvc.

## set_pilot_map()

void gr::lte::channel_estimator_vcvc_impl::set_pilot_map | ( | const std::vector< std::vector< int > > & | pilot_carriers,
|  | const std::vector< std::vector< gr_complex > > & | pilot_symbols )

virtual

Implements gr::lte::channel_estimator_vcvc.

## work()

int gr::lte::channel_estimator_vcvc_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- channel_estimator_vcvc_impl.h